cURL
curl --request GET \
--url https://api.cradl.ai/{basePath}/models/{modelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cradl.ai/{basePath}/models/{modelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cradl.ai/{basePath}/models/{modelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedTime": "<string>",
"metadata": {},
"updatedBy": "<string>",
"trainingId": "<string>",
"modelId": "<string>",
"description": "<string>",
"fieldConfig": {},
"organizationId": "<string>",
"preprocessConfig": {
"trimMargins": true,
"startPage": 123,
"rotation": 0,
"useGhostScript": true,
"pages": [
123
],
"usePoppler": true,
"padToFit": true,
"useTextDetection": true,
"maxPages": 50,
"optimizeDimensions": true,
"deskewImage": true,
"autoRotate": true,
"imageQuality": "LOW"
},
"createdBy": "<string>",
"numberOfRunningTrainings": 1,
"name": "<string>",
"numberOfDataBundles": 1,
"createdTime": "<string>",
"status": "active",
"llmVersion": "sonnet-4.0",
"postprocessConfig": {
"strategy": "BEST_FIRST",
"outputFormat": "v1"
},
"version": 1,
"confidenceVersion": "v1",
"updatedFieldConfigTime": "<string>",
"statistics": {}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Get Model
Get Model
GET
/
models
/
{modelId}
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Response
200 response
Pattern:
^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$Maximum string length:
4096Pattern:
^las:model-training:[a-z0-9-_]+$Pattern:
^(cradl|las):model:[a-z0-9-_]+$Maximum string length:
4096Pattern:
^(cradl|las):organization:[a-z0-9-_]+$Show child attributes
Show child attributes
Maximum string length:
4096Required range:
x >= 0Maximum string length:
4096Required range:
x >= 0Pattern:
^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$Available options:
active, inactive Available options:
sonnet-4.0, sonnet-4.5, sonnet-4.6, qwen3-vl - Option 1
- Option 2
Show child attributes
Show child attributes
Required range:
x >= 0Available options:
v1, v2 Pattern:
^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$